<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Orders</ion-title>
  </ion-toolbar>

  <ion-toolbar color="light">
    <ion-searchbar mode="ios" placeholder="Search" debounce="500" (ionChange)="search($event)"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>

    <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content></ion-refresher-content>
      </ion-refresher>

  <ion-list *ngIf="orders">
    <ion-item button="true" *ngFor="let order of orders" (click)="detail(order)">      
      <p class="date"># {{order.ID}}</p>
      <ion-label>
        <h2>{{order.CustomerName}}</h2>
        <p>{{order.OrderDate | date: 'MM/dd/yyyy'}}</p>
        <p [class]="statusColor(order.OrderStatus)">{{order.OrderStatus | orderstatus }}</p>        
      </ion-label>
      <p slot="end">{{order.GrossTotal | currency: ' '}}</p>
    </ion-item>    
  </ion-list>

  <ion-list *ngIf=!orders>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
    <ion-item color="light">
      <ion-avatar slot="start" hidden>
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-avatar>
      <ion-label>
        <h3>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h3>
        <p>
          <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </p>
      </ion-label>
    </ion-item>
  </ion-list>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="add()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
